# Method: accounts.languages.productCertifications.patch

- [HTTP request](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#body.request_body)
- [Response body](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#body.response_body)
- [Authorization scopes](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#body.aspect)
- [Try it!](https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications/patch#try-it)

Updates (or creates if allow_missing = true) a product certification which links certifications with products.

This method can only be called by certification bodies.

### HTTP request

`PATCH https://manufacturers.googleapis.com/v1/{productCertification.name=accounts/*/languages/*/productCertifications/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `productCertification.name` | `string` Required. The unique name identifier of a product certification Format: accounts/{account}/languages/{language_code}/productCertifications/{id} Where `id` is a some unique identifier and `language_code` is a 2-letter ISO 639-1 code of a Shopping supported language according to <https://support.google.com/merchants/answer/160637>. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update according to aip.dev/134. However, only full update is supported as of right now. Therefore, it can be either ignored or set to "\*". Setting any other values will returns UNIMPLEMENTED error. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications#ProductCertification`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/manufacturers/reference/rest/v1/accounts.languages.productCertifications#ProductCertification`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/manufacturercenter`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).